public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Johannes Huber" <johu@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: dev-libs/libdbusmenu-qt/
Date: Sun, 17 Nov 2013 19:57:08 +0000 (UTC)	[thread overview]
Message-ID: <1384718187.7b988a9395558bd288735dce102c70c3d75313b8.johu@gentoo> (raw)

commit:     7b988a9395558bd288735dce102c70c3d75313b8
Author:     Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 17 19:56:27 2013 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Sun Nov 17 19:56:27 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=7b988a93

[dev-libs/libdbusmenu-qt] Add qt4 + qt5 build options

Package-Manager: portage-2.2.7

---
 dev-libs/libdbusmenu-qt/libdbusmenu-qt-9999.ebuild | 23 +++++++++++++++++-----
 1 file changed, 18 insertions(+), 5 deletions(-)

diff --git a/dev-libs/libdbusmenu-qt/libdbusmenu-qt-9999.ebuild b/dev-libs/libdbusmenu-qt/libdbusmenu-qt-9999.ebuild
index f8ef4f6..43152cf 100644
--- a/dev-libs/libdbusmenu-qt/libdbusmenu-qt-9999.ebuild
+++ b/dev-libs/libdbusmenu-qt/libdbusmenu-qt-9999.ebuild
@@ -23,18 +23,29 @@ fi
 
 LICENSE="LGPL-2"
 SLOT="0"
-IUSE="debug doc"
+IUSE="debug doc +qt4 qt5"
+
+REQUIRED_USE="|| ( qt4 qt5 )"
 
 RDEPEND="
-	dev-qt/qtcore:4
-	dev-qt/qtdbus:4
-	dev-qt/qtgui:4
+	qt4? (
+		dev-qt/qtcore:4
+		dev-qt/qtdbus:4
+		dev-qt/qtgui:4
+	)
+	qt5? (
+		dev-qt/qtcore:5
+		dev-qt/qtdbus:5
+		dev-qt/qtgui:5
+		dev-qt/qtwidgets:5
+	)
 "
 DEPEND="${RDEPEND}
 	doc? ( app-doc/doxygen )
 	test? (
 		dev-libs/qjson
-		dev-qt/qttest:4
+		qt4? ( dev-qt/qttest:4 )
+		qt5? ( dev-qt/qttest:5 )
 	)
 "
 
@@ -48,6 +59,8 @@ src_configure() {
 	local mycmakeargs=(
 		$(cmake-utils_use_build test TESTS)
 		$(cmake-utils_use_with doc)
+		$(cmake-utils_use_use qt4)
+		$(cmake-utils_use_use qt5)
 	)
 	cmake-utils_src_configure
 }


             reply	other threads:[~2013-11-17 19:57 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-11-17 19:57 Johannes Huber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-09-09 14:05 [gentoo-commits] proj/kde:master commit in: dev-libs/libdbusmenu-qt/ Johannes Huber
2017-08-31 22:13 Andreas Sturmlechner
2016-07-20 15:47 Michael Palimaka
2016-03-21 17:52 Johannes Huber
2015-12-08 14:52 Michael Palimaka
2015-03-01 15:35 Michael Palimaka
2015-01-30 20:41 Johannes Huber
2014-10-15 13:50 Michael Palimaka
2013-11-23 15:06 Michael Palimaka
2013-10-17 19:26 Johannes Huber
2013-08-14 12:26 Michael Palimaka
2013-06-29 16:32 Johannes Huber
2012-05-20 19:20 Johannes Huber
2012-05-17 23:13 Johannes Huber
2012-05-17 23:13 Johannes Huber
2012-05-17 23:13 Johannes Huber
2012-05-15 14:30 Chris Reffett
2012-04-21 19:36 Michael Palimaka
2011-04-29 13:45 Tomas Chvatal
2011-04-29 13:34 Tomas Chvatal
2011-04-13 15:45 Tomas Chvatal
2011-02-09 20:11 Dennis Schridde

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1384718187.7b988a9395558bd288735dce102c70c3d75313b8.johu@gentoo \
    --to=johu@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox